/* global BDF,$$,Role */

Role.List = {};

Role.List.init = function (callback) {
    BDF.Ajax.loadRoleArray(function (roleArray) {
        roleArray = Role.initArray(roleArray);
        let $listBody = $$("listpane_body");
        $listBody.html(BDF.render("role:list-role", roleArray));
        Role.List.initActions();
        BDF.Deploy.init($listBody);
        if (callback) {
            callback();
        }
    });
};

Role.List.initActions = function () {
    $$("listpane_button_newrole").click(Role.Overlay.showCreationForm);
    var $body = $$("listpane_body");
    BDF.onClick($body, {action: "metadata"}, function () {
        if (!BDF.confirmUnload()) {
            return false;
        }
        let name = BDF.Pane.getEntryName(this);
        BDF.Pane.loadOrDestock(name, function () {
            Role.Form.load(name);
        });
    });
    BDF.onClick($body, {action: "roleremove"}, function () {
        Role.Overlay.showRemoveConfirm(BDF.Pane.getEntryName(this));
    });
};

Role.List.updateRole = function (newRole) {
    var $currentRole =  BDF.$({role: "entry", name: newRole.name});
    BDF.$($currentRole, {role: "entry-title"}).html(newRole.title);
};