/* global BDF,SqlExport */

SqlExport.List = {};

SqlExport.List.init = function (callback) {
    BDF.Ajax.loadSqlExportArray(function (sqlExportArray) {
        sqlExportArray = SqlExport.initArray(sqlExportArray);
        let $listBody = $$("listpane_body");
        $listBody.html(BDF.render("sqlexport:list-sqlexport", sqlExportArray));
        BDF.Deploy.init($listBody);
        SqlExport.List.initActions();
        if (callback) {
            callback();
        }
    });
};

SqlExport.List.initActions = function () {
    $$("listpane_button_newsqlexport").click(SqlExport.Overlay.showCreationForm);
    var $body = $$("listpane_body");
    BDF.onClick($body, {action: "metadata"}, function () {
        if (!BDF.confirmUnload()) {
            return false;
        }
        let name = BDF.Pane.getEntryName(this);
        BDF.Pane.loadOrDestock(name, function () {
            SqlExport.Form.load(name);
        });
    });
    BDF.onClick($body, {action: "run"}, function () {
        SqlExport.Overlay.showRun(BDF.Pane.getEntryName(this));
    });
    BDF.onClick($body, {action: "sqlexportremove"}, function () {
        SqlExport.Overlay.showRemoveConfirm(BDF.Pane.getEntryName(this));
    });
};

SqlExport.List.updateSqlExport = function (newSqlExport) {
    var $currentSqlExport =  BDF.$({role: "entry", name: newSqlExport.name});
    BDF.$($currentSqlExport, {role: "entry-title"}).html(newSqlExport.title);
};
